关闭

RHEL 6.4(i386)编译安装git 1.8.5

1775人阅读 评论(0) 收藏 举报
分类:
将RHEL的yum软件源更换为CentOS的软件源之后,其中的git版本为1.7.1,现在最新的版本为1.8.5。

1. 更换yum软件源

2. 安装gcc 4.8.1

3. 安装依赖包
yum install zlib-devel openssl-devel perl cpio expat-devel gettext-devel autoconf curl-devel

4. 获取git 1.8.5.1源码包
cd /root/Downloads/

5. 解压git 1.8.5.1源码包
tar -xzvf git-1.8.5.1.tar.gz

6. 编译并安装
cd git-1.8.5.1
./configure
make
make install

7. 检查安装是否成功
git --version

环境描述:
系统:RHEL 6.4 i386 (Desktop)
虚拟机:VMware Workstation 9.0.0 build-812388
登录用户:root

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:223605次
    • 积分:2257
    • 等级:
    • 排名:第16674名
    • 原创:39篇
    • 转载:9篇
    • 译文:3篇
    • 评论:40条
    最新评论